function customEditEngineTMGetAngularScope () {
    var frm = document.getElementById("trafficManagementFrame");
    if (!frm) {
        frm = document.getElementById("pageTrafficManagementFrame");
        if (!frm) {
            return;
        }
    }

    var fw = frm.contentWindow;
    if(!fw || !fw.angular || !fw.$ || fw.$(".ng-scope").length == 0) {
        return;
    }

    return fw.angular.element(fw.$(".ng-scope")[1]).scope();
}

function trafficManagementInit(data) {
    return $.parseHTML("<iframe id=\"trafficManagementFrame\" width=\"100%\" height=\"100%\" frameborder='0' src=\""+jahiaGWTParameters.contextPath + jahiaGWTParameters.servletPath + "/editframe/default/" + jahiaGWTParameters.lang + data.getPath() + ".wem-edit-engine-opti-traffic-management.html\"/>")[0];
}

function trafficManagementPageInit(data) {
    return $.parseHTML("<iframe id=\"pageTrafficManagementFrame\" width=\"100%\" height=\"100%\" frameborder='0' src=\""+jahiaGWTParameters.contextPath + jahiaGWTParameters.servletPath + "/editframe/default/" + jahiaGWTParameters.lang + data.getPath() + ".wem-edit-engine-opti-page.html\"/>")[0];
}

function trafficManagementDoValidate(validation) {
    var angularScope = customEditEngineTMGetAngularScope();
    if (angularScope) {
        angularScope.validate(validation);
    }
}

function trafficManagementDoSave(node) {
    var angularScope = customEditEngineTMGetAngularScope();
    if (angularScope) {
        angularScope.save(node);
    }
}

function trafficManagementLanguageChange(data) {
    // nothing to do
}