/**
 * Created by amidani on 07/07/2016.
 */
angular.module('condition').controller("ScoringCondition", function ($scope, scoringService) {
    $scope.operators = [
        {
            "id": "equals",
            "name": "comparisonOperator.equals",
            "appliesTo": ["email", "string", "integer"]
        }, {
            "id": "notEquals",
            "name": "comparisonOperator.notEquals",
            "appliesTo": ["integer"]
        }, {
            "id": "lessThan",
            "name": "comparisonOperator.lessThan",
            "appliesTo": ["integer"]
        }, {
            "id": "greaterThan",
            "name": "comparisonOperator.greaterThan",
            "appliesTo": ["integer"]
        }, {
            "id": "lessThanOrEqualTo",
            "name": "comparisonOperator.lessThanOrEqualTo",
            "appliesTo": ["integer"]
        }, {
            "id": "greaterThanOrEqualTo",
            "name": "comparisonOperator.greaterThanOrEqualTo",
            "appliesTo": ["integer"]
        }
    ];
    scoringService.getAll().success(function (data) {
        $scope.scoringChoiceListValues = _.reject(data, function (scoring) {
                                                return scoring.id === $scope.$parent.$parent.scoringId;
                                            });
        
        if(!$scope.ref.parameterValues.scoringPlanId){
            $scope.ref.parameterValues.scoringPlanId = data[0].id;
            $scope.ref.parameterValues.scoreValue = 0;
            $scope.ref.parameterValues.comparisonOperator = 'greaterThanOrEqualTo';
        }
    });

});

