angular.module('managePersonalizationDashboardApp', [
    'ngRoute',
    'managePersonalizationDashboard',
    'wemServices',
    'wemDirectives'
])
.config(['$routeProvider', function ($routeProvider) {
    $routeProvider
        .when('/personalization-dashboard', {
            templateUrl: ManagersContext.localTemplatesPath + '/personalization/personalization-dashboard.html',
            controller: 'managePersonalizationDashboardCtrl'
        })
        .otherwise({
            redirectTo: angular.isDefined(ManagersContext.wemDefaultRoute) ? ('/' + ManagersContext.wemDefaultRoute) : '/personalization-dashboard'
        });
}]);